Subject: RE: [External] : Re: bug#50760: 26.3; Add `symbol' to the Emacs manul glossary

From: Drew Adams <[email-masked]>
Date: Thu, 23 Sep 2021 22:14:11 +0000

> > "Symbol" is used in many places in the Emacs manual, but it's not
> > defined in the Glossary.  Please consider adding its definition
> there.
> >
> > The notion of an Emacs symbol is not obvious from the name.
> >
> > (emacs) `Symbol Completion' is one node that talks about "symbol
> names",
> > without actually saying what's meant.  It's probably clear enough,
> from
> > context, but a more definite definition in the Glossary would help.
> 
> Makes sense.  I've now added an entry in the glossary in Emacs 28 (that
> points to the "Symbol Type" node in the lispref manual.)

Thanks, but I don't think that's sufficient.

There are (at least) two important meanings of "symbol" in Emacs:

1. The usual Lisp meaning, which is meaningful only in Lisp.

2. The Elisp meaning of characters with symbol-constituent syntax.  And perhaps names composed of such chars, possibly combined with chars with other syntax, e.g., typically word-constituent.

For example, in programming languages (not only Elisp), we have commands such as `forward-symbol'.  They move over or otherwise manipulate names composed of symbol-constituent chars and sometimes other kinds of chars.

Emacs users deserve to know about these quite different meanings, I think. Each such meaning is important to using Emacs.